Get a discovered service's information

View as Markdown

Gets detailed information about a discovered service, including a base64-encoded OpenAPI specification and an array of endpoints.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

serviceIdstringRequired
The discovered service's ID.

Response

Successful Response
idstringOptional
The service's ID.
organizationIdintegerOptional
The ID of the organization that the service belongs to.
discoverySourcestringOptional
The source through which the service was discovered.
namestringOptional
The servie's name.
descriptionstring or nullOptional
The service's description.
versionstringOptional
The service's version.
sourceEnvironmentstring or nullOptional
The source environment in which the service was discovered.
systemEnvironmentIdstring or nullOptional
The mapped system environment's ID. Returns a null value if the environment is not mapped.
tagslist of stringsOptional
A list of tags associated with the service.
statusstringOptional
The service's current status.
providerServiceIdstringOptional
The ID of the service in the source registry.
providerMetadataobjectOptional
Additional metadata from the discovery source provider.
apiDefinitionobjectOptional
The API definition associated with the service.
endpointslist of objectsOptional
A list of the service's endpoints.
endpointsCountintegerOptional
The total number of endpoints associated with the service.
discoveredAtdatetimeOptional
The date and time at which the service was first discovered.
discoveredByintegerOptional
The user ID of the user who discovered or ingested the service.
lastSyncedAtdatetimeOptional
The date and time of the most recent service sync.
managedWorkspaceIdstring or nullOptional
The ID of the Postman workspace that the service has been integrated into. Returns a null value if the service is not integrated.
integratedAtdatetime or nullOptional
The date and time at which the service was linked to a Postman workspace. Returns a null value if the service is not integrated.

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error